Dpkg::Changelog::Debian(3perl)

NAME
Dpkg::Changelog::Debian - parse Debian changelogs

DESCRIPTION
Dpkg::Changelog::Debian parses Debian changelogs as described in deb-changelog(5).

The parser tries to ignore most cruft like # or /* */ style comments, RCS keywords, Vim modelines, Emacs local variables and stuff from older changelogs with other formats at the end of the file. NOTE: most of these are ignored silently currently, there is no parser error issued for them. This should become configurable in the future.

METHODS

$c->parse($fh, $description)
    Read the filehandle and parse a Debian changelog in it. The data in the object is reset before parsing new data.

    Returns the number of changelog entries that have been parsed with success.

CHANGES

  Version 1.00 (dpkg 1.15.6)
Mark the module as public.

SEE ALSO
Dpkg::Changelog